# SPDX-License-Identifier: GPL-2.0-only OR BSD-2-Clause
%YAML 1.2
---
$id: http://devicetree.org/schemas/media/i2c/samsung,s5k6a3.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Samsung S5K6A3(YX) raw image sensor

maintainers:
  - Krzysztof Kozlowski <krzysztof.kozlowski@linaro.org>

description:
  S5K6A3(YX) is a raw image sensor with MIPI CSI-2 and CCP2 image data
  interfaces and CCI (I2C compatible) control bus.

properties:
  compatible:
    const: samsung,s5k6a3

  reg:
    maxItems: 1

  clocks:
    maxItems: 1

  clock-names:
    items:
      - const: extclk

  clock-frequency:
    default: 24000000
    description: extclk clock frequency
    deprecated: true

  gpios:
    maxItems: 1
    description: GPIO connected to the RESET pin

  afvdd-supply:
    description: AF (actuator) voltage supply

  svdda-supply:
    description: Core voltage supply

  svddio-supply:
    description: I/O voltage supply

  port:
    $ref: /schemas/graph.yaml#/$defs/port-base
    additionalProperties: false

    properties:
      endpoint:
        $ref: /schemas/media/video-interfaces.yaml#
        unevaluatedProperties: false

        properties:
          data-lanes:
            items:
              - const: 1

required:
  - compatible
  - clocks
  - clock-names
  - gpios
  - afvdd-supply
  - svdda-supply
  - svddio-supply

additionalProperties: false

examples:
  - |
    #include <dt-bindings/gpio/gpio.h>

    i2c {
        #address-cells = <1>;
        #size-cells = <0>;

        sensor@10 {
            compatible = "samsung,s5k6a3";
            reg = <0x10>;

            clocks = <&camera 1>;
            assigned-clocks = <&camera 1>;
            assigned-clock-rates = <24000000>;

            clock-names = "extclk";
            gpios = <&gpm1 6 GPIO_ACTIVE_LOW>;
            afvdd-supply = <&ldo19_reg>;
            svdda-supply = <&cam_io_reg>;
            svddio-supply = <&ldo19_reg>;

            port {
                endpoint {
                    remote-endpoint = <&csis1_ep>;
                    data-lanes = <1>;
                };
            };
        };
    };
